# Uses of Class
org.eclipse.emf.cdo.spi.server.CDOCommand.CommandParameter

Packages that use CDOCommand.CommandParameter
Package
Description
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of CDOCommand.CommandParameter in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server that return CDOCommand.CommandParameter
Modifier and Type
Method
Description
`final CDOCommand.CommandParameter[]`
CDOCommand.`getParameters()`
`CDOCommand.CommandParameter`
CDOCommand.CommandParameter.`literal()`
`static CDOCommand.CommandParameter`
CDOCommand.`optional(String name)`
`static CDOCommand.CommandParameter`
CDOCommand.`parameter(String name)`
`static CDOCommand.CommandParameter`
CDOCommand.`parameter(String name, boolean optional)`
`static CDOCommand.CommandParameter[]`
CDOCommand.`parameters(CDOCommand.CommandParameter parameter, CDOCommand.CommandParameter[] parameters)`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOCommand.CommandParameter
Modifier and Type
Method
Description
`static CDOCommand.CommandParameter[]`
CDOCommand.`parameters(CDOCommand.CommandParameter parameter, CDOCommand.CommandParameter[] parameters)`
Constructors in org.eclipse.emf.cdo.spi.server with parameters of type CDOCommand.CommandParameter
Modifier
Constructor
Description
``
`CDOCommand(String name, String description, CDOCommand.CommandParameter... parameters)`
``
`WithAccessor(String name, String description, CDOCommand.CommandParameter... parameters)`
``
`WithRepository(String name, String description, CDOCommand.CommandParameter... parameters)`